Subject: Re: [RFC, Patch 0/1] OProfile for Cell: Initial profiling support -- new patch

From: Maynard Johnson <[email-masked]>
Date: Thu, 16 Nov 2006 11:31:52 -0600

Based on review comments received so far, we will be posting an updated 
kernel patch for OProfile for Cell.  Most notably, this patch removes 
some racey conditions between our "virtual counter" function and the 
interrupt handler, as well as fixing the way we were restarting and 
stopping our timer for the virtual counter.

Thanks.
-Maynard

Maynard Johnson wrote:

> Hello,
> I will be posting a patch that updates the OProfile kernel driver to 
> enable it for the Cell Broadband Engine processor.  The patch is based 
> on Arnd Bergmann's arnd6 patchset for 2.6.18  
> (http://kernel.org/pub/linux/kernel/people/arnd/patches/2.6.18-arnd6/), 
> with Kevin Corry's cbe_pmu_interrupt patch on applied on top.  Kevin 
> Corry's patch was submitted to the mailing lists earlier today and can 
> be found at:
>  http://marc.theaimsgroup.com/?l=linux-kernel&m=116360639928471&w=2).
> 
> I will also post an OProfile userpsace patch to the oprofile-list that 
> adds the necessary support for the Cell processor.
> 
> Thanks in advance for your review of this patch.
> 
> Maynard Johnson
> LTC Power Linux Toolchain
> 507-253-2650
> 
> 
> -------------------------------------------------------------------------
> Take Surveys. Earn Cash. Influence the Future of IT
> Join SourceForge.net's Techsay panel and you'll get the chance to share your
> opinions on IT & business topics through brief surveys - and earn cash
> http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV
> _______________________________________________
> oprofile-list mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/oprofile-list